Loading...
Searching...
No Matches
stdex::base64_enc Class Reference

Base64 encoding session. More...

`#include <stdex/base64.hpp>`

Inheritance diagram for stdex::base64_enc:

## Public Member Functions

| base64_enc () noexcept
| Constructs blank encoding session.
template<class _Elem , class _Traits , class _Ax >
void | encode (std::basic_string< _Elem, _Traits, _Ax > &out, const void *data, size_t size, bool is_last=true)
| Encodes one block of information, and appends it to the output.
void | clear () noexcept
| Resets encoding session.
size_t | enc_size (size_t size) const noexcept
| Returns maximum encoded size.

## Protected Member Functions

template<class _Elem , class _Traits , class _Ax >
void | encode (std::basic_string< _Elem, _Traits, _Ax > &out)
| Encodes one complete internal buffer of data.
template<class _Elem , class _Traits , class _Ax >
void | encode (std::basic_string< _Elem, _Traits, _Ax > &out, size_t size)
| Encodes partial internal buffer of data.

## Protected Attributes

uint8_t | m_buf [3]
| Internal buffer.
size_t | m_num
| Number of bytes used in `m_buf`

## Detailed Description

Base64 encoding session.

## Member Function Documentation

## enc_size()

size_t stdex::base64_enc::enc_size | ( | size_t | size | ) | const

inlinenoexcept

Returns maximum encoded size.

Parameters

  [in] | size | Number of bytes to encode

Returns
  Maximum number of bytes for the encoded data of `size` length

## encode()

template<class _Elem , class _Traits , class _Ax >

void stdex::base64_enc::encode | ( | std::basic_string< _Elem, _Traits, _Ax > & | out,
|  | const void * | data,
|  | size_t | size,
|  | bool | is_last = `true`
| ) |  |

inline

Encodes one block of information, and appends it to the output.

Parameters

  [in,out] | out | Output
  [in] | data | Data to encode
  [in] | size | Length of `data` in bytes
  [in] | is_last | Is this the last block of data?

The documentation for this class was generated from the following file:

- include/stdex/base64.hpp